--[[
LuCI - Lua Configuration Interface

Copyright 2008 Steven Barth <steven@midlink.org>
Copyright 2008 Jo-Philipp Wich <xm@leipzig.freifunk.net>

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

$Id: crontab.lua 4106 2009-01-20 11:33:33Z Cyrus $
]]--
local cronfile = "/etc/crontabs/root" 

f = SimpleForm("crontab", translate("a_s_crontab"), translate("a_s_crontab1"))

t = f:field(TextValue, "crons")
t.rmempty = true
t.rows = 10
function t.cfgvalue()
	return luci.fs.readfile(cronfile) or ""
end

function f.handle(self, state, data)
	if state == FORM_VALID then
		if data.crons then
			luci.fs.writefile(cronfile, data.crons:gsub("\r\n", "\n"))
		end
	end
	return true
end

return f
